Loading...
Searching...
No Matches
covariance.h File Reference
`#include "platform.h"`
`#include "functional.h"`
`#include "type_traits.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | etl::private_covariance::covariance_traits< TInput, TCalc >
| Types for generic covariance. More...
struct | etl::private_covariance::covariance_traits< float, TCalc >
| Types for float covariance. More...
struct | etl::private_covariance::covariance_traits< double, TCalc >
| Types for double covariance. More...
struct | etl::private_covariance::covariance_type_statics< T >
struct | etl::covariance_type
class | etl::covariance< Covariance_Type, TInput, TCalc >
| Covariance. More...

## Namespaces

namespace | etl
namespace | etl::private_covariance
| Covariance Type.

## Variables

template<typename T>
ETL_CONSTANT bool | etl::private_covariance::covariance_type_statics< T >::Sample
template<typename T>
ETL_CONSTANT bool | etl::private_covariance::covariance_type_statics< T >::Population
template<bool Covariance_Type, typename TInput, typename TCalc>
ETL_CONSTANT int | etl::covariance< Covariance_Type, TInput, TCalc >::Adjustment